Skip to main content
Back to API List

Update a Particular Skill

To update the particular skill with the given streamId, skillGroupId, and skillId.
MethodPUT
Endpointhttps://{{host}}/agentassist/api/v1/public/{{botId}}/skill-groups/{{skillGroupId}}/skills/{skillId}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

PARAMETERDESCRIPTIONTYPE
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdbotId or streamId. You can get it from the App Settings page.string, required
skillIdID of the Skill.string, required

Sample Request

curl --location --request PUT \
     'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{skillGroupId}}/skills/{skillId}' \
     --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "agents": [
        {
            "userId": "u-122x",
            "proficiencyLevel": "high",
            "firstName": "test",
            "lastName": "test",
            "email": "username@domain.com"
        }
    ],
}'

Body Parameters

PARAMETERDESCRIPTIONTYPE
nameName of the skill.String, Required
descriptionBrief description of the skill up to 200 characters.string, optional
skillGroupIdId of the skill Group, which you can find with GET /skill-groups. Example: sg-4372string, required
agentsAn array of Objects with the following details.string, optional
userIdThis is the user Id that you can find with GET /agents.string, optional
proficiencyLevelThe Proficiency level can be: expert, novice, average, good. For example, ‘expert’string, optional

Sample Response

 {
    "id": "sk-87679",
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "agents": 15,
    "skillGroupId": "sg-4372"
   }